import { EventEmitter, OnChanges, SimpleChanges } from "@angular/core";
export declare class CalendarComponent implements OnChanges {
    month: string;
    year: string;
    selectedFromDate: string;
    selectedToDate: string;
    isLeft: boolean;
    format: string;
    minDate: string;
    maxDate: string;
    inactiveBeforeStart: boolean;
    disableBeforeStart: boolean;
    timePicker: any;
    singleCalendar: boolean;
    dateChanged: EventEmitter<{}>;
    monthChanged: EventEmitter<{}>;
    yearChanged: EventEmitter<{}>;
    weekList: any;
    readonly monthText: any;
    ngOnChanges(changes: SimpleChanges): void;
    createCalendarGridData(): void;
    isDisabled(day: any): any;
    isDateAvailable(day: any): boolean;
    isSelectedDate(day: any): boolean;
    getFormattedDate(day: any): any;
    dateSelected(day: any): void;
    monthSelected(value: any): void;
    yearSelected(value: any): void;
}
