import { DoCheck, ElementRef, EventEmitter, OnInit } from "@angular/core";
import { Options } from "../types";
export declare class DaterangepickerComponent implements OnInit, DoCheck {
    private elem;
    options: Options;
    class: string;
    rangeSelected: EventEmitter<{}>;
    showCalendars: boolean;
    range: string;
    enableApplyButton: boolean;
    areOldDatesStored: boolean;
    fromDate: any;
    toDate: any;
    tempFromDate: any;
    tempToDate: any;
    oldFromDate: any;
    oldToDate: any;
    fromMonth: number;
    toMonth: number;
    fromYear: number;
    toYear: number;
    format: string;
    derivedOptions: Options;
    handleOutsideClick(event: any): void;
    constructor(elem: ElementRef);
    ngDoCheck(): void;
    ngOnInit(): void;
    deriveOptions(isUpdate?: boolean): void;
    setFromDate(value: any): void;
    getActualFromDate(value: any): any;
    setToDate(value: any): void;
    getActualToDate(value: any): any;
    validateMinMaxDates(): void;
    getValidateFromDate(value: any): any;
    getValidateToDate(value: any): any;
    getDayjs(value: any): any;
    getValidateDayjs(value: any): any;
    formatFromDate(event: any): void;
    formatToDate(event: any): void;
    dateChanged(data: any): void;
    monthChanged(data: any): void;
    yearChanged(data: any): void;
    emitRangeSelected(): void;
    storeOldDates(): void;
    restoreOldDates(): void;
    setRange(): void;
    apply(): void;
    cancel(): void;
    clear(): void;
    applyPredefinedRange(data: any): void;
    toggleCalendars(value: any): void;
    updateCalendar(): void;
    getAriaLabel(): string;
}
