import { EventEmitter, OnChanges, OnInit, SimpleChanges } from "@angular/core";
import { Timepicker } from "../types";
export declare class TimePickerComponent implements OnInit, OnChanges {
    options: Timepicker;
    selectedFromDate: any;
    selectedToDate: any;
    minDate: any;
    maxDate: any;
    format: string;
    isLeft: boolean;
    timeChanged: EventEmitter<{}>;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getCurrentHour(): any;
    getCurrentMinute(): any;
    isValidToAddMinute(value: any): boolean;
    isValidToAddHour(value: any): boolean;
    addHour(value: any): void;
    addMinute(value: any): void;
    triggerTimeChanged(): void;
    toggleAMPM(): void;
}
