declare class DateRange {
    start: any;
    end: any;
}
export declare class DefinedDateRange {
    name: string;
    value: DateRange;
}
export declare class Timepicker {
    minuteInterval: number;
    twentyFourHourFormat: boolean;
}
export declare class YearsGrid {
    startYear: number;
    numberOfYearsInOneView: number;
    yearsPerRow: number;
    yearsList: number[][];
    currentYear: number;
}
export declare class Options {
    startDate: string | any;
    endDate: string | any;
    minDate: string | any;
    maxDate: string | any;
    format: string;
    displayFormat: string;
    inactiveBeforeStart: boolean;
    autoApply: boolean;
    singleCalendar: boolean;
    preDefinedRanges: DefinedDateRange[];
    noDefaultRangeSelected: boolean;
    showRanges: boolean;
    position: string;
    disabled: boolean;
    timePicker: Timepicker;
    disableBeforeStart: boolean;
    alwaysOpen: boolean;
    theme: string;
    required: boolean;
    DOB: boolean;
}
export {};
